

<!--weight вес
length
value

-->
<div class="sidebar  left250px" >
<div class="block ">
    <h4 class="heading">
      Типы товаров
    </h4>
        <ul class="menu-v collapsible with-icons">
            <li class="{if !$product_type}selected{/if}">
                <a href="?module=settings&action=productFeatures&id=all" >Все</a></li>
        {foreach $product_types as $k => $v}
          <li class="{if $product_type && $k==$product_type->getId()}selected{/if}">
              <a href="?module=settings&action=productFeatures&id={$k}">{$v->getName()}</a> </li>
        {/foreach}
        </ul>
</div>
</div>


<div class="content bordered-left  block double-padded blank  left250px">
    {var_dump($product_base_types)}
    <div class="head">
        <a href="?module=settings&action=productFeatureEdit" class="add-feature"><i class="icon16 add"></i>Добавить характеристику</a>
        <br>
    </div>
    <table class="zebra">
        <tr>
            <th></th>
            <th>Название</th>
            <th></th>
            <th></th>
        </tr>
        {foreach $features as $v}
        <tr>
            <td></td>
            <td>{$v->getName()}</td>
            <td>
                <div>
                    Тип характеристики {$v->getTypeName()}
                </div>
                <div class="feature-values">
                    {$values = $v->getValues()}
                    <ul>
                        {foreach $values as $val}
                        <li>{$val.name} {$val.unit}</li>
                        {/foreach}
                    </ul>
                </div>
            </td>
            <td><a href="?module=settings&action=productFeatureEdit&id={$v->getId()}" target="_blank">
                <i class="icon16 settings"></i>
            </a> </td>
        </tr>

        {/foreach}
    </table>

    <form action="?module=settings&action=productTypeSave" method="post">
    <input type="hidden" name="id" value="{$product_type->getId()}">

    <h3>Исключенные комбинации</h3>
    <table class="zebra">
        <tr>
            <th>Название</th>
            <th></th>
            <th></th>
        </tr>
        {$groups_values = manufactoryFeaturesPool::getInstance()->getFeatureGroups()}
        {foreach $product_type->getExcludedCombinations() as $v}
        <tr>
            <td>{$v['name']}
                <input type="hidden" name="excluded_combinations[{$v.index}]" value="1">
            </td>
            <td>
                {foreach $features as $fv}
                <!--<div>{$fv->getName()}

                    <select name="excluded_combinations[{$v.index}][{$fv->getId()}]">
                        {foreach $groups_values as $gv}
                        <optgroup label="{$gv['name']}">
                            {foreach $fv->getValues($gv['id']) as $fvv}
                            <option value="{$fvv['id']}" {if $v['features'][$fv->getId()]==$fvv['id']} selected{/if}>{$fvv['name']}</option>
                            {/foreach}
                         </optgroup>
                        {/foreach}
                    </select>
                </div>-->
                {/foreach}
            </td>
            <td><a href="#" class="index-delete"><i class="icon16 delete"></i></a></td>
        </tr>
        {/foreach}
        <tr class="excluded_combinations_new" style="display: none;">
            <td></td>
            <td>
                {foreach $features as $fv}
                <div>{$fv->getName()}
                    <select  data-feature-id="{$fv->getId()}">
                        {foreach $groups_values as $gv}
                        <optgroup label="{$gv['name']}">
                            {foreach $fv->getValues($gv['id']) as $fvv}
                            <option value="{$fvv['id']}">{$fvv['name']}</option>
                            {/foreach}
                        </optgroup>
                        {/foreach}
                    </select>
                </div>
                {/foreach}
            </td>
            <td><a href="#" class="index-delete"><i class="icon16 delete"></i></a></td>
        </tr>
        <tr><td colspan="3"><button class="excluded_combinations-add button green">Добавить значение</button></td></tr>
    </table>
        <div><input type="submit" class="button green" value="Сохранить"></div>
    </form>
</div>



{literal}

<script type="text/javascript">
    $(document).ready(function () {

        $('.excluded_combinations-add').click(function () {
            var _new = $(this).closest('table').find('.excluded_combinations_new').html();
           var tr =  $('<tr></tr>');
            $(this).closest('table').find('.excluded_combinations_new').before(tr);
            tr.append(_new);
            var rand = function() {
                return Math.random().toString(36).substr(2); // remove `0.`
            };
            var token = function() {
                return rand() + rand(); // to make it longer
            };
            var md5 = token().substr(3);
            md5 = 'new'+md5;
            tr.find('select').each(function () {
                var name = 'excluded_combinations['+md5+']['+$(this).data('feature-id')+']';
                $(this).attr('name', name);
            });
            return false;
        });

        $('.index-delete').click(function () {
            $(this).closest('tr').remove();
            return false;
        });


    });
</script>
{/literal}